@charset "utf-8";

// If need, change your variables before importing Bulma
// colors
// $primary: #09b4c6;
// $info: #FFC72E;
// $success: #DBE8EA;
// $link: #17799D;
// $danger: #df003c;
$primary: #09b4c6;
$grey-dark: #09202e;
$warning: #ffc600;
$link: hsl(0, 0%, 14%);

@import "~bulma/bulma.sass";
@import "~@creativebulma/bulma-badge/src/sass/index.sass";
@import "~@natade-coco/react-pay-js/dist/index.css";

html {
  // background-color: $primary;
  user-select: none;
  touch-action: manipulation;
}

body {
  font-family: "M PLUS 1p";
}

button {
  letter-spacing: 0.1em;
}

$radius: 1.9rem;
.badge {
  height: $radius;
  width: $radius;
  line-height: 1.5rem;
  border-radius: 50%;
  text-align: center;
  color: black;
  font-weight: bold;
  font-size: 1rem;
  position: absolute;
  top: 10px;
  right: 10px;
  z-index: 1;
  background-color: #fcee21;
  box-shadow: -2px 2px 7px 0px rgba(0, 0, 0, 0.295);
}

.cart-btn {
  position: fixed;
  bottom: 15px;
  right: 20px;
  .fa-stack {
    font-size: 2.3rem;
  }
  &:active {
    .badge,
    .fa-stack {
      opacity: 0.5;
    }
  }
}

.order-list-item {
  .order-list-image:last-of-type {
    margin-left: 0px !important;
  }
}

.has-nav-bar {
  padding-top: 3.25rem;
}

@media screen and (min-width: 1024px) {
  html {
    font-size: 22px !important;
  }
}

.product-list-item:active {
  opacity: 0.5;
}
.order-list-item-body:active {
  opacity: 0.5;
}
